
%define plugin	games
%define name	vdr-plugin-%plugin
%define version	0.6.3
%define rel	21

Summary:	VDR plugin: OSD Games Collection
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL+
URL:		http://1541.org/
Source:		http://1541.org/public/vdr-%plugin-%version.tar.bz2
Patch0:		vdr-games-0.6.2-finnish.diff
Patch1:		games-02_Makefile-nosilent.dpatch
Patch2:		games-0.6.3-i18n-1.6.patch
# drop now unrecognized --whole-archive instead of turning it into
# -Wl,--whole-archive - it should not be needed here anyway -Anssi
Patch3:		games-no-whole-archive.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0-7
Requires:	vdr-abi = %vdr_abi

%description
This is the new vdr OSD games collection formaly known as the tetris plugin.
The collection currently contains Tetris, Tron, TicTacToe, Snake and
Minesweeper, more to come.

%prep
%setup -q -n %plugin-%version
%apply_patches
%vdr_plugin_prep

%build
VDR_PLUGIN_EXTRA_FLAGS="-I%{_includedir}/vdr"
%vdr_plugin_build libvdr-games.so -j1

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README TODO HISTORY






%changelog

* Wed Mar 07 2012 anssi <anssi> 0.6.3-21.mga2
+ Revision: 221044
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.6.3-20.mga2
+ Revision: 214804
- rebuild for VDR 1.7.23
- fix build with current GCC (games-no-whole-archive.patch)

* Sat May 14 2011 anssi <anssi> 0.6.3-19.mga1
+ Revision: 98399
- imported package vdr-plugin-games


* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.6.3-18mdv2010.0
+ Revision: 401088
- rebuild for new VDR
- adapt for vdr compilation flags handling changes, bump buildrequires

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.6.3-17mdv2009.1
+ Revision: 359323
- rebuild for new vdr

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.6.3-16mdv2009.0
+ Revision: 197935
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.6.3-15mdv2009.0
+ Revision: 197677
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)
- disable silent make (P1 from e-tobi)
- apply new license policy
- use vdr_plugin_flags

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.6.3-14mdv2008.1
+ Revision: 145101
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.6.3-13mdv2008.1
+ Revision: 103132
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.6.3-12mdv2008.0
+ Revision: 50006
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.6.3-11mdv2008.0
+ Revision: 42092
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 10mdv2008.0-current
+ Revision: 22688
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-9mdv2007.0
+ Revision: 90929
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-8mdv2007.1
+ Revision: 74020
- rebuild for new vdr
- Import vdr-plugin-games

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-7mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-6mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-5mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-4mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-3mdv2007.0
- rebuild for new vdr

* Mon Jun 05 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-2mdv2007.0
- rebuild for new vdr

* Fri Jun 02 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-1mdv2007.0
- initial Mandriva release

